diff --git a/contrib/pgcrypto/pgp-compress.c b/contrib/pgcrypto/pgp-compress.c
new file mode 100644
index 7a9516b..c592453
*** a/contrib/pgcrypto/pgp-compress.c
--- b/contrib/pgcrypto/pgp-compress.c
*************** compress_init(PushFilter *next, void *in
*** 105,111 ****
  
  /* writes compressed data packet */
  
! /* cant handle zero-len incoming data, but shouldnt */
  static int
  compress_process(PushFilter *next, void *priv, const uint8 *data, int len)
  {
--- 105,111 ----
  
  /* writes compressed data packet */
  
! /* can handle zero-len incoming data, but shouldn't */
  static int
  compress_process(PushFilter *next, void *priv, const uint8 *data, int len)
  {
diff --git a/src/pl/plperl/plperl_helpers.h b/src/pl/plperl/plperl_helpers.h
new file mode 100644
index 35e1257..2c17790
*** a/src/pl/plperl/plperl_helpers.h
--- b/src/pl/plperl/plperl_helpers.h
*************** sv2cstr(SV *sv)
*** 62,68 ****
  		(SvTYPE(sv) > SVt_PVLV && SvTYPE(sv) != SVt_PVFM))
  		sv = newSVsv(sv);
  	else
! 		/* increase the reference count so we cant just SvREFCNT_dec() it when
  		 * we are done */
  		SvREFCNT_inc(sv);
  
--- 62,68 ----
  		(SvTYPE(sv) > SVt_PVLV && SvTYPE(sv) != SVt_PVFM))
  		sv = newSVsv(sv);
  	else
! 		/* increase the reference count so we can just SvREFCNT_dec() it when
  		 * we are done */
  		SvREFCNT_inc(sv);
  
